Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCBindingContainerValidationAdapter

`java.lang.Object
oracle.adf.model.binding.DCBindingContainerValidationAdapter`

All Implemented Interfaces:
  DCBindingContainerValidationListener, java.util.EventListener

Direct Known Subclasses:
  JUPanelValidationAdapter

public class DCBindingContainerValidationAdapter
extends java.lang.Object
implements DCBindingContainerValidationListener

Default implementation for DCBindingContainerValidationListener interface. This implementation simply prints a diagnostic message for each event it receives. JClient design time creates a subclass of this adapter with overridden methods as per an application's choice when the Event Inspector is used to generate DCBindingContainerValidationEvent listener code.

Constructor Summary
`DCBindingContainerValidationAdapter()`

Method Summary
`void` | `beforeCurrencyChange(DCBindingContainerValidationEvent ev)` Invoked before a JClient binding object calls a navigation event to display the next row data in the JClient controls.
`void` | `beforeSaveTransaction(DCBindingContainerValidationEvent ev)` Invoked before a JClient binding object calls commit() on the transaction to save any pending changes into the database.
`void` | `beforeSetAttribute(DCBindingContainerValidationEvent ev)` Invoked before a JClient Binding object calls Row.setAttribute() to update a value from a binding object into the corresponding Row object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCBindingContainerValidationAdapter

    public DCBindingContainerValidationAdapter()

Method Detail

### beforeSetAttribute

    public void beforeSetAttribute(DCBindingContainerValidationEvent ev)

  Description copied from interface: `DCBindingContainerValidationListener`
  Invoked before a JClient Binding object calls Row.setAttribute() to update a value from a binding object into the corresponding Row object.

  Applications should perform lightweight, attribute-data validation (for example, matching a value with a small set of values or uppercasing all entries etc.) at this level before the value is passed on to BC4J. Note that such a validation should be duplicated on the BC4J side too as other clients or APIs may modify the same attribute. This duplication is usually necessary when a client needs immediate feedback of an error rather than going over to the middle-tier (in a multi-tier platform) and get any errors.

  Specified by:
    `beforeSetAttribute` in interface `DCBindingContainerValidationListener`

### beforeCurrencyChange

    public void beforeCurrencyChange(DCBindingContainerValidationEvent ev)

  Description copied from interface: `DCBindingContainerValidationListener`
  Invoked before a JClient binding object calls a navigation event to display the next row data in the JClient controls.

  Applications should perform lightweight, row-data validation (for example, inter-attribute validation etc.) at this level before the value is passed on to BC4J. Note that such a validation should be duplicated on the BC4J side to allow other clients or APIs to modify the same attribute. This duplication is usually necessary when a client needs immediate feedback of an error rather than going over to the middle-tier (in a multi-tier platform) and get any errors.

  Specified by:
    `beforeCurrencyChange` in interface `DCBindingContainerValidationListener`

### beforeSaveTransaction

    public void beforeSaveTransaction(DCBindingContainerValidationEvent ev)

  Description copied from interface: `DCBindingContainerValidationListener`
  Invoked before a JClient binding object calls commit() on the transaction to save any pending changes into the database.

  Applications should perform lightweight, panel-level validation (for example, validating that all desired values are filled in etc.) at this level before the values are passed on to BC4J. Note that such a validation should be duplicated on the BC4J side to allow other clients or APIs to modify the same attribute. This duplication is usually necessary when a client needs immediate feedback of an error rather than going over to the middle-tier (in a multi-tier platform) and get any errors.

  Specified by:
    `beforeSaveTransaction` in interface `DCBindingContainerValidationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.